Skip to main content
PUT
Create or update an evidence record by external ID

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

externalId
string
required

External ID

Minimum string length: 1

Body

application/json
scope
enum<string>
required
Available options:
MX,
US
type
string
required
Minimum string length: 1
contentType
enum<string>

Content Type

Available options:
image/jpeg,
image/png,
image/webp,
application/pdf,
application/xml,
text/xml
category
enum<string>

Category

Available options:
invoice,
receipt,
bank_statement,
proof_of_payment,
contract,
shipping,
other
expiresAt
string<date>

Expires At

metadata
object

Metadata

transactionIds
string<uuid>[]

Transactions to link this evidence to

fields
object
filename
any
size
any
storagePath
any

Response

200 - application/json

OK

data
object
required
action
enum<string>
required
Available options:
created,
updated,
skipped